This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1027520 - [RFE][horizon]: cross project view for horizon
[RFE][horizon]: cross project view for horizon
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: RHOS Maint
Ami Jeain
storage
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 20:58 EST by Dafna Ron
Modified: 2014-10-21 07:23 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-21 07:23:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1248792 None None None Never

  None (edit)
Description Dafna Ron 2013-11-06 20:58:27 EST
Description of problem:

During one of the meetings for horizon it was decided that an RFE for multiple projects would be a good edition.
So I am opening this RFE for this feature. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create several project and assign the same user to both 
2. 
3.

Actual results:

users cannot view more than one project at a time when they are assigned to multiple projects

Expected results:

a user should be able to see all of his/her assigned projects without replacing the view. 
there are several customer scenarios that were raised, including monitoring multiple products and dev/qe systems 

Additional info:
Comment 1 Arthur Berezin 2014-02-05 20:18:28 EST
Dafna, is there a blueprint for this or only Launchpad bug?
Comment 2 Dafna Ron 2014-02-06 04:46:57 EST
(In reply to Arthur Berezin from comment #1)
> Dafna, is there a blueprint for this or only Launchpad bug?

I think that I only opened a bug - not sure if a blueprint was opened.
Comment 3 Matthias Runge 2014-02-08 08:12:13 EST
If I remember right, this is essential an keystone issue (this was discussed back in April 2013 in Portland during the summit). And if I'm not totally wrong, keystone issues a user a ticket for a single project, not for a set of projects.
Comment 4 Julie Pichon 2014-10-07 07:38:32 EDT
Nathan, would you be able to provide a Keystone perspective on this RFE?
Comment 5 Nathan Kinder 2014-10-07 13:46:47 EDT
(In reply to Julie Pichon from comment #4)
> Nathan, would you be able to provide a Keystone perspective on this RFE?

A Keystone token is only capable of having a single scope.  The scope is going to be at a project level as far as Horizon is concerned.  If Horizon wants to be able to allow a user to perform operations on multiple projects for a single user, it would need the ability to hold multiple Keystone tokens for that user's session.  It would also need to know when to use the correct token for specific actions.

This all seems technically possible, but it is very likely a non-trivial change to the way Horizon works with regards to managing Keystone tokens.
Comment 6 Julie Pichon 2014-10-21 07:14:45 EDT
Possibly also of interest, for admins and instances: https://blueprints.launchpad.net/horizon/+spec/horizon-massive-nova-instance-search
Comment 7 Matthias Runge 2014-10-21 07:23:09 EDT
This feature will be tracked upstream https://bugs.launchpad.net/bugs/1248792

Note You need to log in before you can comment on or make changes to this bug.